# Uses of Class
org.apache.sysds.runtime.matrix.data.MatrixCell

Packages that use MatrixCell
Package
Description
org.apache.sysds.runtime.controlprogram.context
org.apache.sysds.runtime.controlprogram.parfor.util
org.apache.sysds.runtime.instructions.spark
org.apache.sysds.runtime.instructions.spark.functions
org.apache.sysds.runtime.instructions.spark.utils
org.apache.sysds.runtime.matrix.data

## Uses of MatrixCell in org.apache.sysds.runtime.controlprogram.context

Method parameters in org.apache.sysds.runtime.controlprogram.context with type arguments of type MatrixCell
Modifier and Type
Method
Description
`static MatrixBlock`
SparkExecutionContext.`toMatrixBlock(org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixCell> rdd, int rlen, int clen, long nnz)`
Utility method for creating a single matrix block out of a binary cell RDD.

## Uses of MatrixCell in org.apache.sysds.runtime.controlprogram.parfor.util

Fields in org.apache.sysds.runtime.controlprogram.parfor.util declared as MatrixCell
Modifier and Type
Field
Description
`MatrixCell`
PairWritableCell.`cell`

## Uses of MatrixCell in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark that return MatrixCell
Modifier and Type
Method
Description
`MatrixCell`
ParameterizedBuiltinSPInstruction.CreateMatrixCell.`call(WeightedCell kv)`
Method parameters in org.apache.sysds.runtime.instructions.spark with type arguments of type MatrixCell
Modifier and Type
Method
Description
`void`
ParameterizedBuiltinSPInstruction.`setOutputCharacteristicsForGroupedAgg(DataCharacteristics mc1, DataCharacteristics mcOut, org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixCell> out)`

## Uses of MatrixCell in org.apache.sysds.runtime.instructions.spark.functions

Methods in org.apache.sysds.runtime.instructions.spark.functions that return types with arguments of type MatrixCell
Modifier and Type
Method
Description
`scala.Tuple2<MatrixIndexes,MatrixCell>`
CopyBinaryCellFunction.`call(scala.Tuple2<MatrixIndexes,MatrixCell> arg0)`
Method parameters in org.apache.sysds.runtime.instructions.spark.functions with type arguments of type MatrixCell
Modifier and Type
Method
Description
`scala.Tuple2<MatrixIndexes,MatrixCell>`
CopyBinaryCellFunction.`call(scala.Tuple2<MatrixIndexes,MatrixCell> arg0)`

## Uses of MatrixCell in org.apache.sysds.runtime.instructions.spark.utils

Methods in org.apache.sysds.runtime.instructions.spark.utils that return types with arguments of type MatrixCell
Modifier and Type
Method
Description
`static org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixCell>`
SparkUtils.`cacheBinaryCellRDD(org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixCell> input)`
Method parameters in org.apache.sysds.runtime.instructions.spark.utils with type arguments of type MatrixCell
Modifier and Type
Method
Description
`static org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixBlock>`
RDDConverterUtils.`binaryCellToBinaryBlock(org.apache.spark.api.java.JavaSparkContext sc, org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixCell> input, DataCharacteristics mcOut, boolean outputEmptyBlocks)`
`static org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixCell>`
SparkUtils.`cacheBinaryCellRDD(org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixCell> input)`
`Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>>`
RDDConverterUtils.BinaryCellToBinaryBlockFunction.`call(Iterator<scala.Tuple2<MatrixIndexes,MatrixCell>> arg0)`
`static DataCharacteristics`
SparkUtils.`computeDataCharacteristics(org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixCell> input)`
Utility to compute dimensions and non-zeros in a given RDD of binary cells.

## Uses of MatrixCell in org.apache.sysds.runtime.matrix.data

Subclasses of MatrixCell in org.apache.sysds.runtime.matrix.data
Modifier and Type
Class
Description
`class`
`WeightedCell`
Methods in org.apache.sysds.runtime.matrix.data with parameters of type MatrixCell
Modifier and Type
Method
Description
`int`
MatrixCell.`compareTo(MatrixCell o)`